<div class="hold-transition login-page" style="background-image: url('./assets/hero_area_bg1.jpg')">
  <div class="login-box">
    <!-- /.login-logo -->
    <div class="card">
      <div class="card-body login-card-body">
        <div class="login-logo">
          <div class="login100-pic">
            <img class="main-logo"
              src="assets/nic-asia-bank-white.png"
              alt="IMG"
            >
          </div>
          <span class="login100-form-title">Welcome to EMS Admin</span>
          <span style="font-size: 14px; color: black">Please, login for more.</span>
        </div>
        <hr>
        <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
          <div class="form-group" id="username">
            <label for="username">Username</label>
            <input type="text"
                   formControlName="username"
                   class="form-control"
                   placeholder="username"
                   [ngClass]="{ 'is-invalid': submitted && f.username.errors }" />
            <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
              <div *ngIf="f.username.errors.required">Username is required</div>
            </div>
          </div>
          <div class="form-group" id="password">
            <label for="password">Password</label>
            <input type="password"
                   formControlName="password"
                   placeholder="Password"
                   class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
            <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
              <div *ngIf="f.password.errors.required">Password is required</div>
            </div>
          </div>
          <button [disabled]="loading" class="btn btn-success btn-block">
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
            Login
          </button>
          <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>
        </form>
      </div>
    </div>
  </div>
</div>


